[tool.ruff]
ignore = ["E501"]

[tool.mypy]
ignore_missing_imports = true

[tool.pylint."messages control"]
disable = [
    "fixme",
    "import-error",
    "invalid-name",
    "line-too-long",
    "missing-function-docstring",
    "missing-module-docstring",
    "too-many-arguments",
    "too-many-branches",
    "too-many-nested-blocks",
    "too-many-statements",
]

[tool.poetry]
name = "stack-api"
version = "0.1.0"
description = "Scripts to work with OpenAPI"
authors = []
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
tree-sitter = "^0.20.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
